aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--OpenSSL.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/OpenSSL.sh b/OpenSSL.sh
index e48cdfb..d999d79 100644
--- a/OpenSSL.sh
+++ b/OpenSSL.sh
@@ -63,6 +63,13 @@ unset MAKEFLAGS
fi
)
+if (( $? )); then
+ echo 'BEGIN ERROR'
+ echo 'Error while building OpenSSL. Aborting.'
+ echo 'END ERROR'
+ exit 1
+fi
+
################################################################################